package org.linlinjava.jz.db.dto.hm;

import java.util.List;

import lombok.Data;

/**
 * HmEmployClock 
 * @author 36952
 *
 */
@Data
public class HmEmployClockExtend {

	//保姆打卡任务列表-----------------
	public String statusName;//状态名称
	public String newProgress;//状态备注
	public String servantName;//服务者名称
	public String customerName;//客户名称
	
	//保姆服务记录详情--------
	public String clockResult;  
	public List<ClockItem> ervryDayList;
	public List<ClockItem> ervryWeekList;
	public List<ClockItem> ervryMonthList;
	
	public static class ClockItem{
		public Long clockId;//是保姆每日任务打卡的hm_employ_task id
		public String taskName;
		public int status;
		public Long getClockId() {
			return clockId;
		}
		public void setClockId(Long clockId) {
			this.clockId = clockId;
		}
		public String getTaskName() {
			return taskName;
		}
		public void setTaskName(String taskName) {
			this.taskName = taskName;
		}
		public int getStatus() {
			return status;
		}
		public void setStatus(int status) {
			this.status = status;
		}
		 
	}
 
	 
}
